<!-- -------------------- ./adm/doslist.html -------------------- -->

<?php include "head_top_dsfr.html"; ?>

<?php include "part_tabs_dsfr.html"; ?>

<div id="contents-panel" class="fr-tabs__panel fr-tabs__panel--selected" role="tabpanel" aria-labelledby="contents-tab" tabindex="0">
<form class="os-table-wrapper__search">
  <div class="fr-grid-row fr-grid-row--gutters">
    <div class="fr-col fr-col-md-4 fr-col-lg-4">
      <strong ><span id='DosCnt'><?php echo count($this->DFLIST); ?></span> Dossiers </strong>&nbsp;
    </div>
    <div class="fr-col fr-col-md-2 fr-col-lg-2">
      <div class="fr-input-group">
        <div class="fr-input-wrap">
          <select id="searchSTS" class="fr-select" onchange="GlobalFilter()">
            <option value="---">tout status</option>
            <option value="zign1" <?php echo (@$this->SFILTR['FS']=="zign1")?"selected":""; ?>>signature en préparation</option>
            <option value="zign2" <?php echo (@$this->SFILTR['FS']=="zign2")?"selected":""; ?>>signature en cours</option>
            <option value="zign3" <?php echo (@$this->SFILTR['FS']=="zign3")?"selected":""; ?>>signature refusée</option>
            <option value="zign4" <?php echo (@$this->SFILTR['FS']=="zign4")?"selected":""; ?>>signature effectuée</option>
            <option value="zign5" <?php echo (@$this->SFILTR['FS']=="zign5")?"selected":""; ?>>signature partielle</option>
          </select>
        </div>
      </div>
    </div>
    <div class="fr-col fr-col-md-2 fr-col-lg-2">
      <div class="fr-input-group">
        <input type="text" class="fr-input" aria-label="Small" aria-describedby="inputGroup-sizing-sm" id="searchDoc" placeholder="chercher dossier" onkeyup="GlobalFilter()" value="<?php echo @$this->SFILTR['FD']; ?>">
      </div>
    </div>
    <div class="fr-col fr-col-md-2 fr-col-lg-2">
      <div class="fr-input-group">
        <input type="text" class="fr-input" aria-label="Small" aria-describedby="inputGroup-sizing-sm" id="searchMod" placeholder="chercher date de modification" onkeyup="GlobalFilter()" value="<?php echo @$this->SFILTR['FM']; ?>">
      </div>
    </div>
    <div class="fr-col fr-col-md-2 fr-col-lg-2">
      <div class="fr-input-group">
        <input type="text" class="fr-input" aria-label="Small" aria-describedby="inputGroup-sizing-sm" id="searchEOL" placeholder="chercher date de fin" onkeyup="GlobalFilter()" value="<?php echo @$this->SFILTR['FE']; ?>">
      </div>
    </div>
  </div>
</form>

<!-- --------- start doslist ----------- -->

<table id="dostable" class="table table-sm table-hover tablesorter">
<thead>
<tr class='thead'>
 <th>&nbsp;nom</th>
 <th>&nbsp;statut</th>
 <th>&nbsp;mots de passe</th>
 <th>&nbsp;nbr d'utilisateurs</th>
 <th>&nbsp;dernière modification</th>
 <th>&nbsp;fin de vie</th>
 <th>&nbsp;actions</th>
</tr>
</thead>
<tbody>
<?php 
include "tpl/func/disp_status.php";
foreach ($this->DFLIST as $did => $ddata ) : 
 $count = $ddata['count'];
 $elem = $ddata['info'];
 $stinf = GetStatusInfo($elem);
?>
<tr class="datarow">
 <td><span class="dnam"><a href="<?php echo $this->URL->GetAdmMethodWithDID('View',$did); ?>" ><?php echo $elem['title']; ?></a></span></td>
 <td><span class="hidden dsts"><?php echo $stinf['sts1']; ?></span><?php echo $stinf['sts3']; ?></td>
 <td><?php echo @$elem['passwd']; echo (isset($elem['passadm']))?" / ".$elem['passadm']:""; ?></td>
 <td>
<?php echo $count; if ( $count > 0 ): ?>
   <a class="fr-btn fr-btn--sm fr-btn--tertiary-no-outline fr-icon-eye-fill" style="vertical-align: sub;" title="Visualiser les utilisateurs du dossier <?php echo $elem['title']; ?>" href="<?php echo $this->URL->GetAdmMethod1Arg("U4D",$did); ?>"></a>
<?php endif; ?>
 </td>
 <td><span class="dmod"><?php echo $elem['modified']; ?></span></td>
 <td><span class="deol"><?php echo $elem['endoflife']; ?></span></td>
 <td class="os-actions">
  <div>
  <a href="<?php echo $this->URL->GetAdmMethodWithDID('View',$did); ?>" class="fr-btn fr-btn--sm fr-btn--tertiary-no-outline fr-icon-eye-line" title="Visualiser le dossier <?php echo $elem['title']; ?>">Visualiser</a>
  <button type="button"  class="fr-btn fr-btn--sm fr-btn--tertiary-no-outline fr-fi-delete-line delete-content" data-fr-opened="false" aria-controls="ModalConfDel" title="Supprimer le dossier <?php echo $elem['title']; ?>" onclick="DeleteModal('<?php echo $did; ?>','<?php echo $elem['title']; ?>')">Supprimer</button>
  </div>
</td>
</tr>
<?php
endforeach;
?>

</tbody>
</table>

</section>
</div>
</div>
</main>


<!-- -------------------------------------------------------------------- -->

<dialog aria-labelledby="ModalConfDel" role="dialog" id="ModalConfDel" class="fr-modal" data-fr-concealing-backdrop="false" >
  <div class="fr-container fr-container--fluid fr-container-md">
    <div class="fr-grid-row fr-grid-row--center">
      <div class="fr-col-12 fr-col-md-8 fr-col-lg-6">
        <div class="fr-modal__body">
          <div class="fr-modal__header">
            <button class="fr-btn--close fr-btn" title="Fermer la fenêtre modale" aria-controls="ModalConfDel" >
              Fermer
            </button>
          </div>

          <form class="form-horizontal" method="post" action="<?php echo $this->URL->GetAdmMethod('Delete'); ?>" target="_top">
            <input id="md_imp_did" type="hidden" name="DID" value="" />
            <div class="fr-modal__content">
              <h1 id="fr-modal-title-modal-1" class="fr-modal__title">
                <span class="fr-icon-delete-line fr-icon--lg" aria-hidden="true"></span>
                Supprimer ce dossier ?
              </h1>

              <p>
                Le porte-documents <strong id="md_tit_dnam"></strong> et tout son contenu seront détruit.
              </p>
            </div>

            <div class="fr-modal__footer">
              <ul class="fr-btns-group fr-btns-group--right fr-btns-group--inline-reverse fr-btns-group--inline-lg fr-btns-group--icon-center" >
                <li>
                  <button type="submit" class="fr-btn fr-icon-check-line fr-btn--icon-right" >
                    OK
                  </button>
                </li>
                <li>
                  <button class="fr-btn fr-icon-arrow-go-back-line fr-btn--secondary fr-btn--icon-left" aria-controls="ModalConfDel" onclick="event.preventDefault()" >
                    Annuler
                  </button>
                </li>
              </ul>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
</dialog>

<!-- -------------------------------------------------------------------- -->

<!-- Optional JavaScript -->
<script src="/pub/jsext/jquery.tablesorter.min.js"></script>

<!--  -->
<script src="/pub/jsint/togglemodal.js"></script>
<script src="/pub/jsint/filter.js"></script>
<script src="/pub/jsint/sortstuff.js"></script>

<script>
$(document).ready(function() { 
  $("#dostable").tablesorter({headers:{6:{sorter:false}},sortList: [[<?php echo $this->SVSORT; ?>]]} ); 
  GlobalFilter();
} 
);
</script>

<script>
  #$('[data-toggle="tooltip"]').tooltip();
  $('#dostable').on('sortEnd', function(event) {
    SortSave('AD', event.target.config.sortList);
  });
</script>


</body>
</html>


